Package org.eclipse.emf.cdo.common.revision

# Interface CDOIDAndBranch

All Superinterfaces:
  `CDOBranchProvider`, `CDOIdentifiable`

All Known Subinterfaces:
  `CDOLockDelta`, `CDOLockState`, `InternalCDOLockState`

All Known Implementing Classes:
  `AbstractCDOLockState`

public interface CDOIDAndBranch extends CDOIdentifiable, CDOBranchProvider
An `ID` / `branch` pair.

Since:
  4.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOBranch`
`getBranch()`

### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

`getID`

## Method Details

### getBranch

CDOBranch getBranch()

Specified by:
  `getBranch` in interface `CDOBranchProvider`